# Package-level declarations

Provides the classes necessary to access the Bitly API v4.

## Types

Bitlinks
Link copied to clipboard
open class Bitlinks (accessToken: String )

Provides functions to create and manage Bitlinks.

Bitly
Link copied to clipboard
open class Bitly

Provides access to the Bitly API v4.

CallResponse
Link copied to clipboard
data class CallResponse (val body: String = Constants.EMPTY_JSON, val message: String = "", val description: String = "", val statusCode: Int = -1)

Provides a data class to hold the JSON response.

Constants
Link copied to clipboard
object Constants

Provides the constants for this package.

Methods
Link copied to clipboard
enum Methods : Enum < Methods >

Provides HTTP methods definitions.

Units
Link copied to clipboard
enum Units : Enum < Units >

Provides units of time definitions.

Utils
Link copied to clipboard
object Utils

Provides useful generic functions.